> For the complete documentation index, see [llms.txt](https://docs.videograph.ai/llms.txt).
> Use it to discover all available pages before exploring further.

# Update Content


<PlaygroundComponent />

<AuthParams schemes={["basicAuth"]}>
<AuthType scheme="basicAuth">
<ParamField header="Authorization" param-type="string" required="true">
Basic authentication credentials. Provide username and password encoded in Base64 format: Basic base64(username:password)
</ParamField>
</AuthType>
</AuthParams>

### Path Parameters

<ParamField showLocation="false" path="CONTENT_ID" param-type="string" required="true">
Provide the Content ID as available in Videograph dashboard.
</ParamField>

<BodyParams contentTypes={["application/json"]} defaultType="application/json">
  <ContentType type="application/json">
<ParamField showLocation="false" body="title" param-type="string" required="true">
Provide content title.
</ParamField>

<ParamField showLocation="false" body="description" param-type="string" required="false">
Provide content description.
</ParamField>

<ParamField showLocation="false" body="tags" param-type="array" required="false">
Provide Content tags.
</ParamField>

<ParamField showLocation="false" body="metadata" param-type="array" required="false">
Provide metadata key value pairs.

<Expandable title="Array Items" default-open="false">

  <ParamField showLocation="false" body="key" param-type="string" required="true">
  The constant that defines the data set ex-color
  </ParamField>

  <ParamField showLocation="false" body="value" param-type="string" required="true">
  A variable whihc belongs to the data set ex-blue
  </ParamField>

</Expandable>
</ParamField>

<ParamField showLocation="false" body="save_original_copy" param-type="boolean" required="false">
would u like to save the original copy?. Allowed values are true/false.
</ParamField>
  </ContentType>
</BodyParams>

<Request tabs="curl,python,javascript,go,ruby">

```bash
curl -X PUT "https://api.videograph.ai/video/services/api/v1/contents/example_string" \
  -H "Content-Type: application/json" \
  -H "Authorization: Basic YOUR_CREDENTIALS" \
  -d '{
  "title": "example_string",
  "description": "example_string",
  "tags": [
    "example_string"
  ],
  "metadata": [
    {
      "key": "example_string",
      "value": "example_string"
    }
  ],
  "save_original_copy": true
}'
```

```python
import requests
import json

url = "https://api.videograph.ai/video/services/api/v1/contents/example_string"
headers = {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
}
data = {
  "title": "example_string",
  "description": "example_string",
  "tags": [
    "example_string"
  ],
  "metadata": [
    {
      "key": "example_string",
      "value": "example_string"
    }
  ],
  "save_original_copy": true
}

response = requests.put(url, headers=headers, json=data)
print(response.json())
```

```javascript
const response = await fetch("https://api.videograph.ai/video/services/api/v1/contents/example_string", {
  method: "PUT",
  headers: {
  "Content-Type": "application/json",
  "Authorization": "Basic YOUR_CREDENTIALS"
},
  body: JSON.stringify({
  "title": "example_string",
  "description": "example_string",
  "tags": [
    "example_string"
  ],
  "metadata": [
    {
      "key": "example_string",
      "value": "example_string"
    }
  ],
  "save_original_copy": true
})
});

const data = await response.json();
console.log(data);
```

```go
package main

import (
    "fmt"
    "net/http"
    "bytes"
    "encoding/json"
)

func main() {
    data := []byte(`{
  "title": "example_string",
  "description": "example_string",
  "tags": [
    "example_string"
  ],
  "metadata": [
    {
      "key": "example_string",
      "value": "example_string"
    }
  ],
  "save_original_copy": true
}`)
    
    req, err := http.NewRequest("PUT", "https://api.videograph.ai/video/services/api/v1/contents/example_string", bytes.NewBuffer(data))
    if err != nil {
        panic(err)
    }
    
    req.Header.Set("Content-Type", "application/json")
    req.Header.Set("Authorization", "Basic YOUR_CREDENTIALS")

    client := &http.Client{}
    resp, err := client.Do(req)
    if err != nil {
        panic(err)
    }
    defer resp.Body.Close()
    
    fmt.Println("Response Status:", resp.Status)
}
```

```ruby
require 'net/http'
require 'json'

uri = URI('https://api.videograph.ai/video/services/api/v1/contents/example_string')
http = Net::HTTP.new(uri.host, uri.port)
http.use_ssl = true

request = Net::HTTP::Put.new(uri)
request['Content-Type'] = 'application/json'
request['Authorization'] = 'Basic YOUR_CREDENTIALS'
request.body = '{
  "title": "example_string",
  "description": "example_string",
  "tags": [
    "example_string"
  ],
  "metadata": [
    {
      "key": "example_string",
      "value": "example_string"
    }
  ],
  "save_original_copy": true
}'

response = http.request(request)
puts response.body
```

</Request>

### Responses

<div data-component="ResponsesCollection"><Expandable title="200 - OK" default-open="true">

*OK*

</Expandable>

</div>

<Response tabs="200">

```json
{
  "status": "Success",
  "message": "Updated video details",
  "code": 200,
  "data": {
    "title": "Video title",
    "description": "Video description",
    "contentId": "",
    "tags": [
      "tag1",
      "tag2"
    ],
    "metadata": [
      {
        "key": "abc",
        "value": "pqr"
      }
    ],
    "playback_policy": [
      "public",
      "signed"
    ],
    "mp4_support": true,
    "save_original_copy": true,
    "statusId": 1,
    "status": "Processing",
    "duration": 100,
    "thumbnails": [],
    "created_at": 0
  }
}
```

</Response>

